#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define 	module	psutil
Summary:	A cross-platform process and system utilities module for Python
Summary(pl.UTF-8):	Wieloplatformowe narzędzia do procesów i systemu dla Pythona
Name:		python-%{module}
Version:	0.7.0
Release:	1
License:	BSD
Group:		Development/Languages/Python
Source0:	http://psutil.googlecode.com/files/%{module}-%{version}.tar.gz
# Source0-md5:	2ab9d37401200aa584bf79061fee2587
URL:		http://code.google.com/p/psutil/
BuildRequires:	python-devel
BuildRequires:	python-distribute
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Module providing an interface for retrieving information on all
running processes and system utilization (CPU, disk, memory, network)
in a portable way by using Python, implementing many functionalities
offered by command line tools.

%description -l pl.UTF-8
Moduł dostarczający interfejs do informacji o działających procesach
oraz zużyciu systemu (procesor, dyski, pamięć, sieć) w przenośny
sposób używjąc Pythona. Implementuje wiele funkcjonalności oferowanych
przez narzędzia linii komend.

%prep
%setup -q -n %{module}-%{version}


%build
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
%{__python} setup.py build

%{?with_tests:%{__python} setup.py test}

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS README

%{py_sitedir}/%{module}
%attr(755,root,root) %{py_sitedir}/_psutil_linux.so
%attr(755,root,root) %{py_sitedir}/_psutil_posix.so

%if "%{py_ver}" > "2.4"
%{py_sitedir}/%{module}-*.egg-info
%endif
%{_examplesdir}/%{name}-%{version}
%changelog
* Tue Apr 23 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-psutil.git;a=log;h=master

* Tue Apr 23 2013 Kacper Kornet <draenog@pld-linux.org> 245cb86
- updated to 0.7.0 (sent by Wojciech Błaszkowski <wojciech/at/blaszkowski.com>)

* Sun Oct 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> adabb28
- up to 0.6.1

* Thu Apr 19 2012 Mateusz Korniak <matkor@pld-linux.org> 9cb0983
- Release 1. Works for me.

* Thu Apr 19 2012 Mateusz Korniak <matkor@pld-linux.org> 02ee3b0
- Initial version 0.4.1.

